Fedora 12 : mediawiki-1.15.3-53.fc12 (2010-6335)

Medium Nessus Plugin ID 47615


The remote Fedora host is missing a security update.


This is a security and bugfix release of MediaWiki 1.15.3. Three security issues are fixed in this update: A CSS validation issue was discovered which allows editors to display external images in wiki pages. A data leakage vulnerability was discovered in thumb.php which affects wikis which restrict access to private files using img_auth.php, or some similar scheme. MediaWiki was found to be vulnerable to login CSRF. The upstrea authors recommend that all public wikis should be upgraded if possible. The fix includes a breaking change to the API login action. Any clients using it will need to be updated.

Note that Tenable Network Security has extracted the preceding description block directly from the Fedora security advisory. Tenable has attempted to automatically clean and format it as much as possible without introducing additional issues.


Update the affected mediawiki package.

See Also



Plugin Details

Severity: Medium

ID: 47615

File Name: fedora_2010-6335.nasl

Version: $Revision: 1.8 $

Type: local

Agent: unix

Published: 2010/07/07

Modified: 2015/10/20

Dependencies: 12634

Risk Information

Risk Factor: Medium


Base Score: 5

Temporal Score: 4.1

Vector: CVSS2#AV:N/AC:L/Au:N/C:P/I:N/A:N

Temporal Vector: CVSS2#E:F/RL:OF/RC:C

Vulnerability Information

CPE: p-cpe:/a:fedoraproject:fedora:mediawiki, cpe:/o:fedoraproject:fedora:12

Required KB Items: Host/local_checks_enabled, Host/RedHat/release, Host/RedHat/rpm-list

Exploit Available: true

Exploit Ease: Exploits are available

Patch Publication Date: 2010/04/10

Reference Information

CVE: CVE-2010-1189, CVE-2010-1190

BID: 38617, 38621

OSVDB: 62798, 62799

FEDORA: 2010-6335